## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# tests are enabled by default
%bcond_without tests

%global         srcname     google-cloud-os-config
%global         forgeurl    https://github.com/googleapis/python-os-config
Version:        1.9.0
%global         tag         v%{version}
%forgemeta

Name:           python-%{srcname}
Release:        %autorelease
Summary:        Python Client for Google Cloud OS Config API

License:        ASL 2.0
URL:            %forgeurl
Source0:        %forgesource
Patch0:         python-google-cloud-os-config-mock.patch

BuildArch:      noarch

BuildRequires:  pyproject-rpm-macros

%if %{with tests}
BuildRequires:  python3dist(pytest)
BuildRequires:  python3dist(pytest-asyncio)
%endif

%global _description %{expand:
App Engine Admin allows you to manage your App Engine applications.}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%forgeautosetup -p1


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files google

# Remove unnecessary script.
rm -f %{buildroot}%{_bindir}/fixup_keywords.py


%if %{with tests}
%check
# Work around an unusual pytest/PEP 420 issue where pytest can't import the
# installed module. Thanks to mhroncok for the help!
mv google{,_}
%pytest --disable-warnings tests/unit
mv google{_,}
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%doc README.rst CHANGELOG.md
%{python3_sitelib}/google_cloud_os_config-%{version}-py%{python3_version}-nspkg.pth


%changelog
* ven. nov. 12 2021 Major Hayden <major@redhat.com> 1.9.0-1
- Update to 1.9.0

* jeu. nov. 04 2021 Major Hayden <major@redhat.com> 1.8.0-1
- Update to 1.8.0

* mar. nov. 02 2021 Major Hayden <major@redhat.com> 1.7.1-1
- Update to 1.7.1

* lun. oct. 25 2021 Major Hayden <major@mhtx.net> 1.7.0-1
- Update to 1.7.0

* mer. oct. 13 2021 Major Hayden <major@mhtx.net> 1.6.0-1
- Update to 1.6.0

* mar. oct. 05 2021 Major Hayden <major@mhtx.net> 1.5.2-1
- Initial commit (#1998341)
